summaryrefslogtreecommitdiffstats
path: root/libraries/loudmouth
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@liwjatan.at>2010-05-11 22:54:16 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:16 +0200
commit74c2d01756624ce6bbf8c54a15423edf5cea08d4 (patch)
tree37500e57880acd4f07933f1a15c92f8c8bf55022 /libraries/loudmouth
parentbcb4c59c95ed7586f595c616eca8619a0166ca9c (diff)
downloadslackbuilds-74c2d01756624ce6bbf8c54a15423edf5cea08d4.tar.gz
slackbuilds-74c2d01756624ce6bbf8c54a15423edf5cea08d4.tar.xz
libraries/loudmouth: Added to 12.1 repository
Diffstat (limited to 'libraries/loudmouth')
-rw-r--r--libraries/loudmouth/README4
-rw-r--r--libraries/loudmouth/loudmouth.SlackBuild82
-rw-r--r--libraries/loudmouth/loudmouth.info8
-rw-r--r--libraries/loudmouth/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/libraries/loudmouth/README b/libraries/loudmouth/README
new file mode 100644
index 0000000000..08d46de13b
--- /dev/null
+++ b/libraries/loudmouth/README
@@ -0,0 +1,4 @@
+Loudmouth is a lightweight and easy-to-use C library for programming
+with the Jabber protocol. It's designed to be easy to get started
+with and yet extensible to let you do anything the Jabber protocol
+allows. \ No newline at end of file
diff --git a/libraries/loudmouth/loudmouth.SlackBuild b/libraries/loudmouth/loudmouth.SlackBuild
new file mode 100644
index 0000000000..646cff919b
--- /dev/null
+++ b/libraries/loudmouth/loudmouth.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for loudmouth
+
+# Copyright 2008 Heinz Wiesinger <pprkut@liwjatan.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=loudmouth
+VERSION=1.4.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ --with-html-dir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog CONTRIBUTORS COPYING INSTALL NEWS README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/loudmouth/loudmouth.info b/libraries/loudmouth/loudmouth.info
new file mode 100644
index 0000000000..3ab3648d51
--- /dev/null
+++ b/libraries/loudmouth/loudmouth.info
@@ -0,0 +1,8 @@
+PRGNAM="loudmouth"
+VERSION="1.4.3"
+HOMEPAGE="http://www.loudmouth-project.org/"
+DOWNLOAD="http://ftp.imendio.com/pub/imendio/loudmouth/src/loudmouth-1.4.3.tar.bz2"
+MD5SUM="55339ca42494690c3942ee1465a96937"
+MAINTAINER="ppr:kut"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="dsomero"
diff --git a/libraries/loudmouth/slack-desc b/libraries/loudmouth/slack-desc
new file mode 100644
index 0000000000..d61171fc30
--- /dev/null
+++ b/libraries/loudmouth/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+loudmouth: loudmouth (Jabber Protocol library)
+loudmouth:
+loudmouth: Loudmouth is a lightweight and easy-to-use C library for programming
+loudmouth: with the Jabber protocol. It's designed to be easy to get started
+loudmouth: with and yet extensible to let you do anything the Jabber protocol
+loudmouth: allows.
+loudmouth:
+loudmouth: Homepage: http://www.loudmouth-project.org/
+loudmouth:
+loudmouth:
+loudmouth: